## X/Y from Points

Toolbar / Icon:
Menu: Snap > X/Y from Points
Shortcut: P, X
Commands: px

### Description

This snap tool can be used to extract one coordinate (e.g. X) from the location of one existing entity and the other coordinate (e.g. Y) from the location of another object.
This can for example be used to locate the center of a rectangle.
This concept is also referred to as 'combining coordinates', 'point filtering' or 'coordinate filtering'.

### Usage

1. When specifying a position, start this tool.
2. Click a position in the drawing to lock the X coordinate at that position.
3. Click a position in the drawing to lock the Y coordinate at that position.